// NetClient.cc
// -------------
// file class test module
//                                               
// Design and Implementation by Bjoern Lemke               
//                                                         
// (C)opyright 2000,2001,2002,2003,2004,2005 
// by Bjoern Lemke                        
//
//
///////////////////////////////////////////////////////////////////////////////

#include "Exception.h"
#include "Timer.h"
#include "Net.h"
#include "Chain.h"

int main(int argc, char **argv) 
{ 
    
    try { 
	
	int msgsize=Chain(argv[1]).asInteger(); 
       	
	Net n(1024, 10); 
	NetHandler* pN; 
	
	pN = n.connect(Chain("localhost"), Chain("4000")); 
	
	Chain data("XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX"); 
	
	pN->setMsg(data, data.length()); 
	
	cout << "Write msg .." << endl;
	pN->writeMsg();
	cout << "Read msg .." << endl;
	pN->readMsg();
	cout << "Msg read : " << pN->getMsg() << endl;
	
    } 
    catch (Exception e) 
    { 
	e.print(); 
	
    } 
} 


