///////////////////////////////////////////////////////////////////////////////
//                                                         
// LogTest.cc
// -------------
// log class test module
//                                               
// Design and Implementation by Bjoern Lemke               
//                                                         
// (C)opyright 1996 by Bjoern Lemke                        
//
//
///////////////////////////////////////////////////////////////////////////////

#include "Exception.h"
#include "Logger.h"


int main(int argc, char **argv)
{

  try {

      cout << "Testing class Logger ..." << endl;
      cout << "------------------------" << endl;
      cout << "   Constructors and Destructors...";
      if ( 1 )
      {
	  // Logger l("logfile", "logtest");
      }
      cout << "ok" << endl;
      cout << "   Member methods...";
      Logger l( "logfile", "logtest");
      l.logModule(1, "BASE", Logger::NOTICE);

      // l.log(Logger::NOTICE, "This is a log test message");
      
      l << 1 << Logger::LOGERR << "This is an error message\n" ;
      l << 1 << Logger::NOTICE << "This is  notice message\n" ;

      l.log(1, Logger::NOTICE, Chain("Another notice message"));
      l.log(1, Logger::LOGERR, Chain("Another error message"));
      l.log(1, Logger::LOGALERT, Chain("Another alert message"));
      l.log(1, Logger::LOGALERT, "Another plain alert message");

      cout << "ok" << endl;

      cout << "------------------------" << endl;
      
  }
  catch (Exception e)
  {
      e.print();
      cout << "failed" << endl;
  }


}

